ASE-RUN(1)

NAME
ase-run - Run calculations with ASE's calculators

SYNOPSIS
ase-run calculator [options] [system, ...]

DESCRIPTION
Run calculation with one of ASE's calculators: abinit, aims, asap, castep, cp2k, dftb, eam, elk, emt, exciting, fleur, gaussian, gpaw, gromacs, hotbit, jacapo, lammps, lammpslib, lj, mopac, morse, nwchem, siesta, turbomole, vasp.

OPTIONS

-h, --help
    show this help message and exit

-t TAG, --tag=TAG
    String tag added to filenames.

-p key=value,..., --parameters=key=value,...
    Comma-separated key=value pairs of calculator specific parameters.

-d DATABASE, --database=DATABASE
    Use a filename with a ".db" extension for a sqlite3 database or a ".json" extension for a simple json database. Default is no database

-S, --skip
    Skip calculations already done.

--properties=PROPERTIES
    Default value is "efsdMm" meaning calculate energy, forces, stress, dipole moment, total magnetic moment and atomic magnetic moments.

-f MAXIMUM_FORCE, --maximum-force=MAXIMUM_FORCE
    Relax internal coordinates.

--constrain-tags=T1,T2,...
    Constrain atoms with tags T1, T2, ...

-s MAXIMUM_STRESS, --maximum-stress=MAXIMUM_STRESS
    Relax unit-cell and internal coordinates.

-E EQUATION_OF_STATE, --equation-of-state=EQUATION_OF_STATE
    Equation of state ...

--eos-type=EOS_TYPE
    Selects the type of eos.

-i, --interactive-python-session

-c COLLECTION, --collection=COLLECTION

--modify=...
    Modify atoms with Python statement. Example: --modify="atoms.positions[-1,2]+=0.1".

--after=AFTER
    Perform operation after calculation. Example: --after="atoms.calc.write(...)"